<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'CaseStudyQuote',
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
});
</script>

<template>
  <div class="quote">
    <SlpIcon variant="marketing" name="quote" size="md" />
    <SlpTypography class="slp-mt-16" variant="quotes">{{
      data.quoteText
    }}</SlpTypography>
    <div class="slp-mt-16">
      <SlpTypography v-if="data.author" variant="body3-bold"
        >- {{ data.author }}</SlpTypography
      ><SlpTypography
        v-if="data.author && data.authorTitle && data.authorCompany"
        variant="body3"
        >, {{ data.authorTitle }}, {{ data.authorCompany }}</SlpTypography
      >
    </div>
  </div>
</template>

<style scoped lang="scss">
.quote {
  display: flex;
  border-radius: 4px;
  flex-direction: column;
  padding: $spacing-48;
  margin: auto;
  margin-top: $spacing-96;
  max-width: 640px;
  background: $color-surface-800;
  position: relative;

  &:after {
    content: '';
    position: absolute;
    width: 0;
    height: 0;
    top: 100%;
    left: calc(50% - 20px);
    border-top: solid 15px $color-surface-800;
    border-left: solid 20px white;
    border-right: solid 20px white;
    border-bottom: solid 15px white;
  }
}

@media (max-width: $breakpoint-sm) {
  .quote {
    margin-top: $spacing-64;
  }
}
</style>
